"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _RTCRtpCapabilities = require("./RTCRtpCapabilities");

var _RTCRtpReceiveParameters = _interopRequireDefault(require("./RTCRtpReceiveParameters"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class RTCRtpReceiver {
  constructor(info) {
    _defineProperty(this, "_id", void 0);

    _defineProperty(this, "_peerConnectionId", void 0);

    _defineProperty(this, "_track", null);

    _defineProperty(this, "_rtpParameters", void 0);

    this._id = info.id;
    this._peerConnectionId = info.peerConnectionId;
    this._rtpParameters = new _RTCRtpReceiveParameters.default(info.rtpParameters);

    if (info.track) {
      this._track = info.track;
    }
  }

  static getCapabilities(kind) {
    if (kind === 'audio') {
      return _RTCRtpCapabilities.DEFAULT_AUDIO_CAPABILITIES;
    }

    if (!_RTCRtpCapabilities.receiverCapabilities) {
      throw new Error('Receiver Capabilities is null');
    }

    return _RTCRtpCapabilities.receiverCapabilities;
  }

  getParameters() {
    return this._rtpParameters;
  }

  get id() {
    return this._id;
  }

  get track() {
    return this._track;
  }

}

exports.default = RTCRtpReceiver;
//# sourceMappingURL=RTCRtpReceiver.js.map